Bug 22003 - Remove unused subroutines displaylog and GetLogStatus from in C4::Log
Summary: Remove unused subroutines displaylog and GetLogStatus from in C4::Log
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Josef Moravec
QA Contact: Jonathan Druart
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-12-14 16:46 UTC by Josef Moravec
Modified: 2019-01-14 14:04 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 22003: Remove unused subroutines displaylog and GetLogStatus from C4::Log (5.40 KB, patch)
2018-12-14 16:54 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22003: Remove unused subroutines displaylog and GetLogStatus from C4::Log (5.45 KB, patch)
2018-12-14 19:29 UTC, Pierre-Marc Thibault
Details | Diff | Splinter Review
Bug 22003: Remove unused subroutines displaylog and GetLogStatus from C4::Log (5.54 KB, patch)
2018-12-17 20:44 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Josef Moravec 2018-12-14 16:46:44 UTC
These two subroutines are not used in our codebase.
Comment 1 Josef Moravec 2018-12-14 16:54:25 UTC
Created attachment 83233 [details] [review]
Bug 22003: Remove unused subroutines displaylog and GetLogStatus from C4::Log

These two routines are not used

Test plan:
0) Apply the patch
1) git grep GetLogStatus should return no occurence
2) git grep displaylog should return no occurence
3) prove t/Log.t should return green
Comment 2 Pierre-Marc Thibault 2018-12-14 19:29:43 UTC
Created attachment 83243 [details] [review]
Bug 22003: Remove unused subroutines displaylog and GetLogStatus from C4::Log

These two routines are not used

Test plan:
0) Apply the patch
1) git grep GetLogStatus should return no occurence
2) git grep displaylog should return no occurence
3) prove t/Log.t should return green

Signed-off-by: Pierre-Marc Thibault <pierre-marc.thibault@inLibro.com>
Comment 3 Jonathan Druart 2018-12-17 20:44:44 UTC
Created attachment 83311 [details] [review]
Bug 22003: Remove unused subroutines displaylog and GetLogStatus from C4::Log

These two routines are not used

Test plan:
0) Apply the patch
1) git grep GetLogStatus should return no occurence
2) git grep displaylog should return no occurence
3) prove t/Log.t should return green

Signed-off-by: Pierre-Marc Thibault <pierre-marc.thibault@inLibro.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Nick Clemens 2019-01-11 13:34:49 UTC
Awesome work all!

Pushed to master for 19.05
Comment 5 Martin Renvoize 2019-01-14 14:04:22 UTC
Enhancement, will not be backported to 18.11.x series